LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XApproveActionBroadcaster Interface Referencepublished

allows to probably veto actions to be performed on components. More...

`import <XApproveActionBroadcaster.idl;`

Inheritance diagram for XApproveActionBroadcaster:

## Public Member Functions
void | addApproveActionListener ([in] com::sun::star::form::XApproveActionListener aListener)
| adds the specified listener to receive the XApproveActionListener::approveAction() event.
void | removeApproveActionListener ([in] com::sun::star::form::XApproveActionListener aListener)
| removes the specified listener
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to probably veto actions to be performed on components.

Usually, a component which supports the XApproveActionBroadcaster interface implements com::sun::star::awt::XActionListener as well.

## Member Function Documentation

## ◆ addApproveActionListener()

void addApproveActionListener | ( | [in] com::sun::star::form::XApproveActionListener | aListener | ) |

adds the specified listener to receive the XApproveActionListener::approveAction() event.

Parameters

  aListener | the listener to be added

## ◆ removeApproveActionListener()

void removeApproveActionListener | ( | [in] com::sun::star::form::XApproveActionListener | aListener | ) |

removes the specified listener

Parameters

  aListener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/form/XApproveActionBroadcaster.idl